Bug 1266200 - Review Request: python-dulwich99 - A python implementation of the Git file formats and protocols--compat
Review Request: python-dulwich99 - A python implementation of the Git file fo...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Kastner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 14:33 EDT by John Dulaney
Modified: 2016-01-15 13:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 13:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkastner: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description John Dulaney 2015-09-24 14:33:28 EDT
Spec URL: http://rpms.jdulaney.com/review/python-dulwich.spec
SRPM URL: http://rpms.jdulaney.com/review/python-dulwich99-0.9.9-2.fc24.src.rpm
Description: Dulwich is a pure-Python implementation of the Git file formats and protocols. The project is named after the village in which Mr. and Mrs. Git live in the Monty Python sketch.
Fedora Account System Username:  jdulaney
Comment 1 John Dulaney 2015-09-24 14:34:34 EDT
Note that this is a compat version necessary for another package I would like to include.

Scratch build may be found here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=11214620
Comment 2 John Dulaney 2015-09-24 15:00:44 EDT
This is needed in order to package kallithea
Comment 3 Upstream Release Monitoring 2015-09-24 15:56:16 EDT
jdulaney's scratch build of python-dulwich99-0.9.9-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11215486
Comment 4 John Dulaney 2015-09-24 16:10:29 EDT
Spec URL: http://rpms.jdulaney.com/review/python-dulwich99.spec
SRPM URL: http://rpms.jdulaney.com/review/python-dulwich99-0.9.9-3.fc24.src.rpm

Fixed the naming on the spec file
Comment 5 John Dulaney 2015-09-24 16:21:37 EDT
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Header files in -devel subpackage, if present.
  Note: python-dulwich99 : /usr/lib64/python2.7/site-
  packages/dulwich/stdint.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2 or later)", "GPL (v2)", "Unknown or generated",
     "*No copyright* GPL". 7 files have unknown license. Detailed output of
     licensecheck in /home/jdulaney/rpmbuild/review-python-
     dulwich99/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/python2.7/site-
     packages/dulwich(python-dulwich), /usr/lib64/python2.7/site-
     packages/dulwich/contrib(python-dulwich)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 18 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     dulwich99-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/jdulaney/rpmbuild/review-python-dulwich99/results/python-dulwich99-0.9.9-3.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-python-dulwich99/results/python-dulwich99-debuginfo-0.9.9-3.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-python-dulwich99/results/python-dulwich99-debuginfo-0.9.9-3.fc23.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-23-x86_64/root/ --releasever 23 install /home/jdulaney/rpmbuild/review-python-dulwich99/results/python-dulwich99-0.9.9-3.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-python-dulwich99/results/python-dulwich99-debuginfo-0.9.9-3.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-python-dulwich99/results/python-dulwich99-debuginfo-0.9.9-3.fc23.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python-dulwich99-0.9.9-3.fc23.x86_64.rpm
          python-dulwich99-debuginfo-0.9.9-3.fc23.x86_64.rpm
          python-dulwich99-0.9.9-3.fc23.src.rpm
python-dulwich99.x86_64: W: spelling-error %description -l en_US Dulwich -> Sandwich
python-dulwich99.x86_64: W: incoherent-version-in-changelog 0.9.9-2 ['0.9.9-3.fc23', '0.9.9-3']
python-dulwich99.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/dulwich/_objects.c
python-dulwich99.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/dulwich/_diff_tree.so 775
python-dulwich99.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/dulwich/_objects.so 775
python-dulwich99.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/dulwich/stdint.h
python-dulwich99.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/dulwich/_diff_tree.c
python-dulwich99.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/dulwich/_pack.so 775
python-dulwich99.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/dulwich/_pack.c
python-dulwich99.x86_64: W: no-manual-page-for-binary dul-receive-pack
python-dulwich99.x86_64: W: no-manual-page-for-binary dulwich
python-dulwich99.x86_64: W: no-manual-page-for-binary dul-upload-pack
python-dulwich99.src: W: spelling-error %description -l en_US Dulwich -> Sandwich
python-dulwich99.src:38: W: macro-in-comment %check
3 packages and 0 specfiles checked; 3 errors, 11 warnings.




Requires
--------
python-dulwich99 (rpmlib, GLIBC filtered):
    /usr/bin/python2
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python-dulwich99-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
python-dulwich99:
    python-dulwich99
    python-dulwich99(x86-64)

python-dulwich99-debuginfo:
    python-dulwich99-debuginfo
    python-dulwich99-debuginfo(x86-64)



Unversioned so-files
--------------------
python-dulwich99: /usr/lib64/python2.7/site-packages/dulwich/_diff_tree.so
python-dulwich99: /usr/lib64/python2.7/site-packages/dulwich/_objects.so
python-dulwich99: /usr/lib64/python2.7/site-packages/dulwich/_pack.so

Source checksums
----------------
https://pypi.python.org/packages/source/d/dulwich/dulwich-0.9.9.tar.gz :
  CHECKSUM(SHA256) this package     : 084e762c8d4d0c0002823249db57b8e735c99c409dacc2849565dd3c0c288496
  CHECKSUM(SHA256) upstream package : 084e762c8d4d0c0002823249db57b8e735c99c409dacc2849565dd3c0c288496


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n python-dulwich99
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Jiri Kastner 2015-10-02 03:46:51 EDT
can you please check rpmlint output and fix it?
- remove .c files
- change permissions
Comment 7 Upstream Release Monitoring 2015-10-05 18:11:56 EDT
jdulaney's scratch build of python-dulwich99-0.9.9-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11340929

Note You need to log in before you can comment on or make changes to this bug.